Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Enemy Territory won't run [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
j3ff3r
n00b
n00b


Joined: 23 Feb 2005
Posts: 27

PostPosted: Sat Mar 05, 2005 4:37 am    Post subject: Enemy Territory won't run [SOLVED] Reply with quote

When I try to run Enemy Territory, it says:
Code:
GL_RENDERER: Mesa GLX Indirect
 
 
***********************************************************
 You are using software Mesa (no hardware acceleration)!
 Driver DLL used: libGL.so.1
 If this is intentional, add
       "+set r_allowSoftwareGL 1"
 to the command line when starting the game.
***********************************************************
...WARNING: could not set the given mode (4)
Initializing OpenGL display
...setting mode 3: 640 480
Using XFree86-VidModeExtension Version 2.2
XFree86-VidModeExtension Activated at 800x600
Received signal 11, exiting...


But my ATI drivers are working fine...fglrxinfo reports:
Code:
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON 9600 Generic


I'm using an ATI Mobility Radeon 9600 obviously and I have the latest drivers updated. I've ran opengl-update ati and UT2004 works fine, but ET doesn't want to work at all. If I run it with the +set r_allowSoftwareGL 1 option, it will run, but will be REALLY slow (like 1 FPS). Any help is appreciated.

Thanks,
Jeff


Last edited by j3ff3r on Sun Mar 13, 2005 6:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
fearofcorners
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2004
Posts: 90
Location: Ontario, Canada

PostPosted: Sat Mar 05, 2005 7:32 am    Post subject: Reply with quote

This is not 100% guaranteed to be your problem from that error, but you don't have hardware 3d acceleration enabled.

you probably just need to run 'opengl-update ati' but there is a full howto here:

http://gentoo-wiki.com/HOWTO_ATI_Drivers
_________________
ich bin ein seg fault
Back to top
View user's profile Send private message
wolf31o2
Retired Dev
Retired Dev


Joined: 31 Jan 2003
Posts: 628
Location: Mountain View, CA

PostPosted: Sat Mar 05, 2005 7:06 pm    Post subject: Reply with quote

Turn off Composite if you have it enabled...
_________________
Ex-Gentoo Developer
Catalyst/Genkernel Development Lead
http://wolf31o2.org
Back to top
View user's profile Send private message
j3ff3r
n00b
n00b


Joined: 23 Feb 2005
Posts: 27

PostPosted: Sun Mar 06, 2005 4:40 pm    Post subject: Reply with quote

How do you turn off Composite?
Back to top
View user's profile Send private message
Gogiel
Guru
Guru


Joined: 11 Nov 2004
Posts: 347

PostPosted: Sun Mar 06, 2005 5:03 pm    Post subject: Reply with quote

glxinfo | grep direct

If driver were installed correct it'll be 'Yes'
Back to top
View user's profile Send private message
j3ff3r
n00b
n00b


Joined: 23 Feb 2005
Posts: 27

PostPosted: Mon Mar 07, 2005 1:42 am    Post subject: Reply with quote

Code:
direct rendering: Yes


I know the driver is installed correctly. I wonder if enemy territory just doesn't work on AMD64?
Back to top
View user's profile Send private message
fearofcorners
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2004
Posts: 90
Location: Ontario, Canada

PostPosted: Mon Mar 07, 2005 8:19 am    Post subject: Re: Enemy Territory won't run Reply with quote

j3ff3r wrote:
When I try to run Enemy Territory, it says:
Code:
GL_RENDERER: Mesa GLX Indirect
 
 
***********************************************************
 You are using software Mesa (no hardware acceleration)!
 Driver DLL used: libGL.so.1
 If this is intentional, add
       "+set r_allowSoftwareGL 1"
 to the command line when starting the game.
***********************************************************



Look at the error it gave you, it is complaining about hardware acceleration. try running the game as they say, it will probably work but run slowly. I can almost guarantee you your problem is that your gl renderer is not set to your video card vendor's one.
_________________
ich bin ein seg fault
Back to top
View user's profile Send private message
Gogiel
Guru
Guru


Joined: 11 Nov 2004
Posts: 347

PostPosted: Mon Mar 07, 2005 12:01 pm    Post subject: Reply with quote

Try
Code:
LD_PRELOAD='/usr/lib/opengl/ati/lib/libGL.so.1' et
Back to top
View user's profile Send private message
j3ff3r
n00b
n00b


Joined: 23 Feb 2005
Posts: 27

PostPosted: Tue Mar 08, 2005 4:59 am    Post subject: Reply with quote

Code:
/bin/sh: error while loading shared libraries: /usr/lib/opengl/ati/lib/libGL.so.1: cannot open shared object file: No such file or directory


Think we may have found the problem, but I don't know how to correct it. The file exists and is chmodded 755. I've tried re-emerging ati-drivers to no avail.
Back to top
View user's profile Send private message
j3ff3r
n00b
n00b


Joined: 23 Feb 2005
Posts: 27

PostPosted: Sun Mar 13, 2005 6:51 pm    Post subject: Reply with quote

Hmm, after playing around with a LOT of different things, I finally got it fixed. If I run:
Code:
LIBGL_DRIVERS_PATH=/emul/linux/x86/usr/lib/modules/dri et

then it will work. apparantly I have to tell it to use the emulated 32 bit drivers, since that variable is usually set to /usr/lib/modules/dri

Hrm, at least I got it working now, even if I don't know exactly why I have to do that.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Fri Apr 22, 2005 5:19 pm    Post subject: Reply with quote

Moved from Gamers & Players in favour of https://forums.gentoo.org/viewtopic-t-327287.html.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum